Get an accounting hub application

get

/fscmRestApi/resources/11.13.18.05/accountingHubApplications/{ApplicationId}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : accountingHubApplications-item-response
Type: object
Show Source
  • Title: Support transaction reversal
    Maximum Length: 1
    Default Value: false
    Indicates whether transaction reversal is enabled for the accounting hub application. Valid values are Y for Yes and N for No.
  • Maximum Length: 256
    A brief description of the accounting hub application.
  • The unique identifier of the accounting hub application.
  • Maximum Length: 4000
    Name of the accounting hub application.
  • Title: Short Name
    Maximum Length: 4000
    Short name of the accounting hub application.
  • Title: Automatically delete invalid transactions
    Maximum Length: 1
    Default Value: false
    Indicates whether automatic deletion of invalid transactions is enabled for the accounting hub application. Valid values are Y for Yes and N for No.
  • Links
  • Title: Maintain Supporting Reference Balances
    Maximum Length: 1
    Default Value: true
    Indicates whether the maintain supporting reference option is enabled for the accounting hub application. Valid values are Y for Yes and N for No.
  • Process Categories
    Title: Process Categories
    A process category groups related event classes within an accounting hub application that may be processed for accounting together or separately based on timing and workload requirements. Process categories help organize related business events into smaller data sets during accounting processing to support operational requirements.
  • Title: Transfer To
    Maximum Length: 1
    Indicates the general ledger application to which subledger accounting entries for the accounting hub application are transferred. Valid values are Y for Transfer to Oracle PeopleSoft General Ledger, N for Transfer to Oracle Fusion General Ledger, and E for Transfer to Oracle E-Business Suite General Ledger.
  • Title: Support multiple valuation methods
    Maximum Length: 1
    Default Value: false
    Indicates whether the valuation method is enabled for the accounting hub application. Valid values are Y for Yes and N for No
Nested Schema : Process Categories
Type: array
Title: Process Categories
A process category groups related event classes within an accounting hub application that may be processed for accounting together or separately based on timing and workload requirements. Process categories help organize related business events into smaller data sets during accounting processing to support operational requirements.
Show Source
Nested Schema : accountingHubApplications-ProcessCategories-item-response
Type: object
Show Source
Nested Schema : Event Classes
Type: array
Title: Event Classes
An event class represents a categorization of related business events in the external source system. An event class groups related event types originating from similar business processes or sharing common accounting rules for subledger accounting.
Show Source
Nested Schema : accountingHubApplications-ProcessCategories-EventClasses-item-response
Type: object
Show Source
Nested Schema : Event Types
Type: array
Title: Event Types
An event type represents a specific business event on a transaction that results in an accounting impact. Event types classify accounting events by their fiscal or operational purpose and align them with the appropriate subledger accounting treatment.
Show Source
Nested Schema : User Transaction Identifiers
Type: array
Title: User Transaction Identifiers
A user transaction identifier is an optional business friendly identifier for external transactions associated with an event class. User transaction identifiers appear on accounting reports and inquiry pages to trace accounting entries back to their source.
Show Source
Nested Schema : accountingHubApplications-ProcessCategories-EventClasses-EventTypes-item-response
Type: object
Show Source
Nested Schema : accountingHubApplications-ProcessCategories-EventClasses-UserTransactionIdentifiers-item-response
Type: object
Show Source
Back to Top